Error:Unable to resolve dependency for ':app@debug/compileClasspath': Could not [问题点数:50分]

Bbs1
本版专家分:0
结帖率 0%
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs5
本版专家分:3020
Bbs1
本版专家分:0
Blank
蓝花 2012年12月 Java大版内专家分月排行榜第三
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs4
本版专家分:1687
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs3
本版专家分:1000
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Error:Unable to resolve dependency for ':app@stage/compileClasspath': Could not resolve project :mvp
关于Android Studio 3.0升级Gradle编译报错:Error:Unable to <em>resolve</em> <em>dependency</em> for ‘:app@stage/compileClasspath’: Could not <em>resolve</em> project :mvp.这个问题在Android Studio3.0之前是不存在的。老版本可以放心使用。根据错误日志,我发现这个问题是依赖库的BuildTyp
android 添加依赖出现Failed to resolve:"你添加的依赖名" 或者出现 debug@Compileclasspath问题
首先出现的问题是 debug@Compileclasspath的问题,经过一波百度之后都说是AS build.gradle版本3.0以上的问题,但是经过一波修改之后并没有什么卵用,并没有解决这个问题,并且出现了新的问题,就是Failed to <em>resolve</em>:.......这个问题了,这面贴下终极解决方案,希望可以帮到你。 问题截图: 解决方案:在整个工程的build.gradle中添
Android Studio之——问题集合及解决方法(对号入座)
Error:Unable to tunnel through proxy. Proxy returns “HTTP/1.1 400 Bad Request” 解决方法 Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClas Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClas ...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve
如题,从 git 上 clone 下来的代码,直接用 Android Studio 打开就报这个错: Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not <em>resolve</em>... 之前的项目是没问题的,翻译过来就是下载不下来这几个依赖库,检查了下网络连接也没有问题,奇怪了,百度了一堆都没解决问题,无奈只能...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com.xxx.
Android Studio 升级到 3.2 版本后,依赖加载就报上面的错,可能升级后默认就用国外的库了。 解决办法, 唯有翻墙~~~     开小飞机吧 就可以导入依赖了,不知道设置一下 阿里 的镜像有没有用。。改天试试。  ...
Android Studio 3.1.4,gradle 4.4解决Error:Unable to resolve dependency for ':@debug/compileClasspath'问题
    最近把Android studio升级到3.1.4,可是新建一个空项目在build的时候都出现问题,本来不是很重视,把不需要的直接注掉即可,但是因为导入公司的一个项目来编译,结果还是报了同样的错(引入的依赖库出现了问题),最终在网上找了很多方法,最终解决了,记录下过程。     1.如果公司的项目是以前写的,那么因为AS 3.+在依赖关系上已经用&quot;implementation&quot;或者&quot;ap...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolv...【终极解决方案】
Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not resolv...【终极解决方案】
Error:Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com.tencent.
android studio的build.gradle中引入  implementation 'com.tencent.mm.opensdk:wechat-sdk-android-without-mta:5.3.1' 报错: Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not <em>resolve</em> ...
升级 android studio 报错Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolv
根据日志里显示 http 127.0.0.1 。。。 总是无法build,确定是studio引入了本地的ip所以无法下载更新,于是在我们的studio中打开System Settings 中的 Http Proxy看是否选择的是 No proxy, 1 选择了No proxy 如果是,就选择 Manual proxy configuration 然后设定自己本地的ip 107.0.0.1 8...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not download xx.jar
Unable to <em>resolve</em> <em>dependency</em> for ‘:<em>app@debug</em>/compileClasspath’: Could not download rxjava.jar (io.reactivex.rxjava2:rxjava:2.2.1) Open File Show Details Error:Could not <em>resolve</em> all files for conf...
ERROR: Unable to resolve dependency for ':app@debug/compileClasspath': Could not download eventbus.j
下载不到相应的类库,添加镜像源 在project build.gradle更改为 allprojects{ repositories{ maven{ url"https://maven.aliyun.com/repository/google" } maven{ url...
android studio 3.1.3 Unable to resolve dependency
-
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com xxx
Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not <em>resolve</em> com xxx
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve project :mytest.
app模块导入新Module遇到错误解决办法:注释: 注释:apply plugin: 'com.android.application'改为:apply plugin: 'com.android.library'注释// applicationId &quot;data.dyt.android.com.mytest&quot;...
Android Studio 3.0 导入项目报Error:Unable to resolve dependency for ':@debug/compileClasspath'错误的解决方案
之前使用Cordova CLI 生成的android 项目模板,在升级Android Studio 至3.0版本后,导入项目报如下错误:Android Studio 升级到3.0版本,gradle 会升级到4.1版本,导致了以上问题。在com.android.tools.build:gradle 3.x 以下版本依赖在gradle 中的声明写法compile fileTree(dir: 'libs...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com.android.suppo
Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not <em>resolve</em> com.android.support.constraint:constraint-layout:1.1.1. Open File Show Details这个错误主要是由于你现在依赖jar不能下载。打开Setting界面,搜索grad...
Unable to resolve dependency for ':app@debug/compileClasspath'
    解决方法来自:https://stackoverflow.com/questions/46999594/<em>unable</em>-to-<em>resolve</em>-<em>dependency</em>-for-appdebug-<em>compileclasspath</em>-<em>could</em>-not-resolv#Open the build.gradle file for your application.Make sure that the r...
Unable to resolve dependency for :app@dexOptions/compileClasspath': Could not resolve project :anima
这个是android studio 3.0的坑  如果你的项目里面有好多个依赖module就会报很多行相似的错误原因是你的app下面的build.gradel里面的buildTypes{ debug{ ... } release{ ... } }跟每个module里面的buildType不一样 一般都是module里面的少了几个字段  只要到每个mo...
Android studio 下载依赖时出现Unable to resolve dependency for ':app@debug/compileClasspath'错误。
Android studio下载依赖时出现无法解析':app @ debug / compileClasspath'的依赖关系错误。 原因安装Android studio时设置了代理或镜像服务器。  解决方法,在C盘中找到.gradle文件夹(一般都是C盘)如我的位置在用记事本打开.gradle中的gradle文件,把网络设置部分删除或注释掉即可。如图产品  转载  https://blog.c...
error: bundling failed: Error: Unable to resolve module `@babel/runtime/helpers/objectSpread`
问题: 在android手机上Reload react native 项目JS server报“<em>error</em>: bundling failed: Error: Unable to <em>resolve</em> module `@babel/runtime/helpers/objectSpread` “的错 我使用的版本信息如下: "react-native": "^0.55.4" "react-naviga...
Error:Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve 问题解决
参考https://blog.csdn.net/qq_15895655/article/details/80855336配置build.gradle,重启android studio解决。
Android studio 3.0: Unable to resolve dependency for :app@dexOptions/compileClasspath'
Android studio 3.0: Unable to <em>resolve</em> <em>dependency</em> for :app@dexOptions/compileClasspath’: Could not <em>resolve</em> project :animators
android Unable to resolve dependency for ':app@release/compileClasspath': 如何解决
一、问题                                    比如说我想导入一个 zxing的依赖,下面出现了如图所示的问题二、解决                                    在android studio 设置一下glade...
IDEA导入第三方jar包之后报错unable to resolve class
-
解决 Unable to resolve dependency for ':app@debug/compileClasspath 问题
0. 序言 可能你比较快就解决了标题上的问题,但是对于我来说搞了两个小时,才解决。 希望我这篇文章能让你更快的解决这个问题,把工作重点放在开发上。 1. 问题所在 当我创建一个默认项目后,我想导入以下代码: implementation 'com.squareup.okhttp3:okhttp:3.13.1' 但是我发现报了标题中的错误,而我打开VPN(并非AndroidStudio的代理),却...
新安装 Android studio 报Unable to resolve dependency for ':app@debugUnitTest/compileClasspath': Could no
新安装Android studio 报:Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>UnitTest/compileClasspath': Could not download junit.jar   今天 新买电脑 安装Android studio 之前隐约中听别人说过不用安装Java jdk  就想着偷懒一下 结果就报上面的错误 上网也有很多类似...
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve project 我遇到的问题
我出现这个问题就是新建一个module 时候出现了。 后来查看得到原来是我的module 有问题。 第一处不是一个module 的样式。第二个 module 也没有id 修改为: 问题 解决...
Android Studio 集成 Zxing源码 报错
-
关于Error:Unable to resolve dependency for ':@debug/compileClasspath'的解决方案
遇到这个问题去百度,发现网上的主流办法没法解决我的问题,后来发现在app的build.gradle里面,// testImplementation ‘junit:junit:4.12’ androidTestImplementation ‘com.android.support.test:runner:1.0.2’ androidTestImplementation ‘com.andro...
升级Android Studio 3.0,报Unable to resolve dependency
Android Studio 3.0正式版已发布,于是赶紧升级体验了一波。不出意外,果然项目有兼容问题,什么问题呢?日志如下: Error:Unable to <em>resolve</em> <em>dependency</em> for ':app@local/compileClasspath': Could not <em>resolve</em> project :multiAdapter. 不明所以,那我们来看下详细日志Unable to
Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve 'module name'
当你的主app的Module有配置多个buildTypes时,所有被app所引用的Module,以及Module之间,都要添加一样的buildTypes。 比如,我的项目的app有release、debug、realDebug,三个。那么我的其它Module都要添加这个东西。 buildTypes { release { // signingConfi...
关于Android Studio的Unable to resolve dependency for ':app@debug/compileClasspath': Could not find any
Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClasspath': Could not find any matches for com.facebook.android:facebook-login:[4,5) as no versions of com.facebook.android:facebook-login are avai...
关于升级到Android studion 3.1.3 gradle 4.4 遇到的坑(Unable to resolve dependency for ':app@debug/compileClas)
关于升级到Android studion 3.1.3 gradle 4.4 遇到的坑(Unable to <em>resolve</em> <em>dependency</em> for ':<em>app@debug</em>/compileClas) https://blog.csdn.net/zhoukongxiao/article/details/81301996
Could not resolve all files for configuration ':classpath'
-
Unable to resolve dependency for 'xxx项目@debug/compileClasspath': Could not resolve com.jakew
Could not <em>resolve</em> com.android.support:appcompat-v7:26.1.0. Required by: project :app No cached version of com.android.support:appcompat-v7:26.1.0 available for offline mode. No cached version of com.a
AS3.0 导入Android库报错 Error:Unable to resolve dependency for ':app@debug/compileClasspath':
今天在新建一个Android库之后,在主项目的build.gradle文件里添加依赖 然后就会报错 原因很简单只要在导入的android库的build.gradle文件里将 改为 就OK了
Unable to resolve dependency for ':okgo@debug/compileClasspath': Could not resolve com.squareup.okh
Unable to <em>resolve</em> <em>dependency</em> for ':okgo@debug/compileClasspath': Could not <em>resolve</em> com.squareup.okhttp3:okhttp:3.9.1. Open File Show Details 解决办法: 1.检查gradle中是否有 allprojects { repositorie
Failed to resolve: com.android.support:appcompat-v7:27.0.1问题解决
Failed to <em>resolve</em>: com.android.support:appcompat-v7:27.0.1问题解决
Android Studio 移动项目到新文件夹,Installation failed with message Failed to finalize session 问题的解决
一、前言 有时候,我们新建一个项目后,因为一些原因想要重新移动项目到别的文件夹。然而,移动到新的文件夹后,却发现之前好好的项目运行不了。点击运行后,弹出如下对话框。 Installation failed with message Failed to finalize session : INSTALL_FAILED_INVALID_APK: Split lib_dependencies_
总结下android studio 3.0 build项目 出错的一些原因
android studio 升级到3.0以后 项目构建报错很不明显,有时候甚至不提示,现在总结下日常工作中报错原因 1.主项目或者MODULE项目中清单文件的问题:清单文件中可能在不知情的情况下有重复的权限申明,保证权限申明只有一个 清单文件中application节点下面的allbackup属性不一致,设置一致即可。清单文件中最小支持android版本要一致。android studio ...
Android Studio升级之后遇到的一系列问题
升级AS,我个人还是有点担忧的。因为as的配置真的让人觉得脑阔痛。 下面就是我遇到一系列搜了很久才解决的问题: 1.报错:Configuration 'androidTestCompile' is obsolete and has been replaced with 'androidTestImplementation' 项目中的引用标签进行替换。按照下面依次替换 compile =&amp;g...
关于Android Studio中安装和gradle的一些坑
本人从开始用Android Studio到现在已经快一年了吧,在我刚开始用的时候Android Studio还是1.2的版本。当时安装会因为国内墙的缘故,导致下载SDK步骤卡死无法安装。 最近的版本似乎都没出现这个问题,但是还是要吐槽一下最近的2.2.3的更新。这个版本安装包自带的SDK里build tools版本是25.0.2,支持的最低gradle版本是3.3,然而安装包内自带的gr
Android Studio:Unable to resolve dependency ,Could not resolve project
问题描述:在Android项目中新建了一个module,然后app依赖这个module然后报错,构建失败,信息如下:Unable to <em>resolve</em> <em>dependency</em> ,Could not <em>resolve</em> project xxx 解决方法:项目app中buildTypes与依赖module中productFlavors不一致 ...
Unable to resolve dependency for ':app@allprojects/compileClasspath'
android studio 3.1.2 distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip 在import new module时,报错如下 Unable to <em>resolve</em> <em>dependency</em> for ':app@allprojects/compileClasspath': Co...
Android Studio3.0关于Error:Unable to resolve dependency for ':@debug/compileClasspath'的解决方案
打开File-&amp;gt;Settings-&amp;gt;Build,Execution,Deployment-&amp;gt;Gradle-&amp;gt;取消offline work勾选 因为在Android Sudio安装优化配置时,将Gradle设置为了离线工作模式(方便,不然老是要Gradle run),等下载好后再勾回去...
androidStudio3.0 新建项目dependencies 失败解决方案 Unable to resolve dependency for ':@debug/compileClasspath'
1 再build文件中查看是否存在Maven库 allprojects { repositories { jcenter() mavenCentral() } } 如果无则添加后重试 如果问题还未解决 修改 compileSdkVersion minSdkVersion targetSdkVersion 如将其改为如...
添加依赖出现 Unable to resolve dependency for:xxx的报错
File-Settings 找到Gradle,去掉Offline work前边的对号
Android 异常Error:Unable to resolve dependency ,Could not resolve project
1.Error:Unable to <em>resolve</em> <em>dependency</em> for ':app@googlePaidUatUnitTest/compileClasspath': Could not <em>resolve</em> project :swipeback. ans:主项目app中buildTypes/productFlavors与依赖module:swipeback中buildTypes/produc
Unable to resolve dependency for ':app@signingConfigs/compileClasspath':
Unable to <em>resolve</em> <em>dependency</em> for ‘:app@signingConfigs/compileClasspath’: Could not <em>resolve</em> project :fastwork. Open File Show Details Unable to <em>resolve</em> <em>dependency</em> for ‘:app@signingConfigsUnitTest/co...
Android 新建工程 卡在Gradle:Resolve dependencies':app:_debugCompile'
今天更新androidSDK 到5.0,发现新建工程时卡在Gradle:Resolvedependencies':app:_debugCompile' 首先,googledevelop是访问不了的,如果可以就没这事了。(折翼的天使) 其次,我早以在android-studio/bin/idea.properties末尾添加了disable.android.first.run=true
Proe使用经验分享下载
野火中要进行特征操作[EDIT菜单],必须先选定你要操作的特征。比如 要合并两面组, 按ctrl点选二个面组,才会激活编辑菜单里的合并命令。 相关下载链接:[url=//download.csdn.net/download/tengkekekeke/3329354?utm_source=bbsseo]//download.csdn.net/download/tengkekekeke/3329354?utm_source=bbsseo[/url]
在WIndows Vista上编写安全的代码(中文版)下载
本书是想在Windows Vista和Win7上写安全代码的必读之作 高清版 是我花银子弄来的。不清晰退分 相关下载链接:[url=//download.csdn.net/download/hynbroth/3341601?utm_source=bbsseo]//download.csdn.net/download/hynbroth/3341601?utm_source=bbsseo[/url]
计算方法及数值分析下载
计算方法,数值分析,课件pdf,及其习题例题解答 相关下载链接:[url=//download.csdn.net/download/zilonglee9/4606688?utm_source=bbsseo]//download.csdn.net/download/zilonglee9/4606688?utm_source=bbsseo[/url]
我们是很有底线的